/*
Theme Name: Baldocchi
Author: TheValentino by Francesca Salvini
Author URI: https://www.francescasalvini.it
Description: Tema personalizzato per l'azienda Baldocchi srl
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: LICENSE
Text Domain: baldocchi
Template: u-design
*/

/*************** ADD YOUR CUSTOM CSS HERE  ***************/

/* GENERALE */
.duplex-over-image-sx .duplex-wrap { right:0; /*left:auto !important;*/ }



/* SCROLL TOP */
#scroll-top i { left:1px; top: 1px; }


/* TOP HEADER */
.top-header-section ul.elementor-icon-list-items.elementor-inline-items .elementor-inline-item { word-break:normal; padding-left: 7px; padding-right: 7px; }
.top-header-section ul.elementor-icon-list-items.elementor-inline-items .elementor-inline-item:last-child { padding-right: 16px; }
.top-header-section ul.elementor-icon-list-items.elementor-inline-items .elementor-inline-item:last-child::after {
	content: "";
	border-color: var( --e-global-color-dc1651c );
	border-right-width: 1px;
	border-right-style: solid;
	right: -1px;
}

/* Language Switcher */
/* 06/06/2025: nascosto widget della lingua per mancanza delle traduzioni !!! */
.language-switcher-container { display:none; }
.trp-language-switcher { height:auto; width: 90px; }
.trp-language-switcher > div { width: 90px !important; padding: 0; border: 0; border-radius: 0;}
.trp-language-switcher .trp-ls-shortcode-current-language {	
	background-color: transparent;
	background-position: 55px 10px;
	background-size: 10px;
}
.trp-language-switcher:focus .trp-ls-shortcode-language, .trp-language-switcher:hover .trp-ls-shortcode-language {
	padding: 0; left: -12px;
}
.trp-language-switcher .trp-ls-shortcode-current-language > a {  padding-left: 0}



/* HOMEPAGE */
.home .main { padding-top:0; padding-bottom:0; }
.home .section-intro .elementor-background-overlay { background-image: linear-gradient(180deg, #131B2D00 0%, #131B2DC4 90%, var( --e-global-color-dc1651c ) 100%) !important; }
.home .img-main-hp > .elementor-widget-container > img { background:none }



/* inserisco con pseudo-classe la barra piegata */
.section-welcome::before, .section-materiali::before, .section-line-skew::before {
	content: "";
	width: 10%;
	background: rgba(204, 204, 204, 0.2);
	height: 100%;
	position: absolute;
	top: 0;
	left: 10%;
	transform: skew(-25deg);
}
.section-servizi::before {
	content: "";
	width: 30%;	
	height: 100%;
	position: absolute;
	bottom: 0;
	left: 0;
	background-image: url('img/rotella_sx.png');
	background-size: auto 500px;
	background-repeat: no-repeat;
	background-position: bottom left;
}
.section-servizi::after {
	content: "";
	width: 30%;	
	height: 100%;
	position: absolute;
	top: -11px;
	right: 0;
	background-image: url('img/rotella_dx.png');
	background-size: auto 500px;
	background-repeat: no-repeat;
	background-position: top right;
}
.section-colonna-servizi .cs-iconbox::before {
	content: "";
	width: 58%;
	background: var( --e-global-color-d92c581 );
	height: 27px;
	position: absolute;
	top: 0;
	left: 1.5rem;
	z-index: 1;
	border-radius: 0 50px 0 0;
}

.section-blog::before {
	content: "";
	width: 10%;
	background: rgba(204, 204, 204, 0.1);
	height: 100%;
	position: absolute;
	top: 0;
	right: 10%;
	transform: skew(-25deg);
}


/************************************************************************************************************************
* PAGINA TONNELLAGGIO
************************************************************************************************************************/
.section-faq .accordion .card { border-color: #e6e6e6 !important; }
.section-faq .accordion .card .card-header { font-size: 22px !important; }


/************************************************************************************************************************
* PAGINA TECNOPOLIMERI
************************************************************************************************************************/
.section-servizi.section-tecnopolimeri::before { bottom: 40px; }
.section-servizi.section-tecnopolimeri::after { top: 0; }


/************************************************************************************************************************
* PAGINA CONTATTI
************************************************************************************************************************/
.wpforms-container input, .wpforms-container select, .wpforms-container textarea {
	border-width: 0px 0px 0px 0px !important;
	
	font-size: 14px !important;
	color: var( --e-global-color-9ee0ef0 ) !important;
	background-color: var( --e-global-color-d92c581 ) !important;
}
.wpforms-container input { padding: 16px 15px 15px 25px !important; }
.wpforms-container input[type="checkbox"] { padding: 10px !important;}
.wpforms-container input[type="checkbox"]:checked { background-color: var(--alpha-primary-color) !important; }


/************************************************************************************************************************
* BLOG - BLOCK BREADCRUMB
************************************************************************************************************************/
.section-image-bgk-breadcrumb {
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

/************************************************************************************************************************
* BLOG
************************************************************************************************************************/
.posts .post-meta { display:none !important; } /* nascondo autore e link commenti e vote */




/************************************************************************************************************************
* COOKIE YES - cambiato con COMPLIANZ
************************************************************************************************************************/
/*.cky-notice-btn-wrapper .cky-btn {
	font-size: inherit;
  font-weight: inherit;
  padding: 8px;
}

.cky-btn-revisit-wrapper .cky-btn-revisit:hover { background-color: #f7931e }*/

#cmplz-manage-consent .cmplz-manage-consent {
	border-width: 1px !important;
	font-weight: 400;
	font-size: 12px;
	padding: 10px !important;
}


/* reCAPTCHA v3 */
.grecaptcha-badge {	visibility: hidden !important; opacity: 0 !important; }


/************************************************************************************************************************
* RESPONSIVE
************************************************************************************************************************/
@media screen and (min-width: 1439px) {
  /* hide mobile menu */
	.header .elementor-widget-udesign_header_mmenu_toggle, .header .mobile-menu-toggle { display: none !important; }
}

@media screen and (min-width: 992px) and (max-width: 1199px) {
	/* display mobile menu */
	.header .elementor-widget-udesign_header_mmenu_toggle, .header .mobile-menu-toggle { display: block !important; }
	.mobile-menu-container .search-wrapper { display:none; }
}
@media screen and (max-width: 991px) {
	.mobile-menu-container .search-wrapper { display:none; }
}

/* TABLET */
@media screen and (min-width: 768px) {
	.section-servizi::before, .section-servizi::after { background-size: auto 350px; }
}

@media screen and (max-width: 740px) {}

/* SMARTPHONE */
@media screen and (max-width: 480px) {
	.vertical-divider-logo { display: none; }
	.language-switcher-container { position:absolute; right: -20px; }
	.top-header-section ul.elementor-icon-list-items.elementor-inline-items .elementor-inline-item { margin-top: 3px; display: block; width: 100%; }
	.top-header-section ul.elementor-icon-list-items.elementor-inline-items .elementor-inline-item::after { display: none;  }

	.section-servizi::before, .section-servizi::after { display: none; }
	.section-welcome::before { display: none; }

	.section-consulenza > div { display:flex; flex-direction: column-reverse; }


}

